setlocal
set c1=%1
set c2=%2
set file=
set gn=

    echo.
    echo.
    set /p gn=%t2%
    if "%gn%"=="0" ( main )
    if not defined gn ( set gn=%c2% )
    set file="bat\%c1%%gn%.bat"
        if exist %file% (
            echo.
            call %file%
        ) else (
            %error% تنبë´يخَ
            timeout /T 3 /NOBREAK
            call bat\menu%c2%.bat
        )

endlocal
abort
